* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: "Montserrat", sans-serif;
}


:root {
    --primary: #233065;
    --secondary: #9f2b2c;
    --green:#0f9d58;
}

html,
body {
    overflow-x: hidden;
}

.read-more {
    color: black;
    font-weight: 600;
    text-decoration: none;
    transition: 0.5s;
}

.read-more i {
    color: black;
    transform: rotate(-45deg);
}

.read-more:hover {
    text-decoration: underline;
    color: black;
}
.read-more:hover i{
        transition: 0.5s;

    transform: rotate(0deg);

}
   
a {
    text-decoration: none !important;
}




/* This is for the map setion */
.custom-map-img {
    max-width: 100%;
    max-height: 80%;
    /* height: 80%; */
}

/* End map section */

.section {
    padding-top: 50px;
    padding-bottom: 50px;
    margin-top: 50px;
    margin-bottom: 50px;
}

.squre-effect {
    position: relative;
    overflow: hidden;
    z-index: 2;
}

.squre-effect::after {
    position: absolute;
    height: 200%;
    width: 0%;
    content: "";
    left: 47%;
    top: -45%;
    transition: all 0.5s ease;
    transform: rotate(45deg);
    opacity: 1;
    background-color: rgba(255, 255, 255, 0.3);

}

.custom-cursor {
    position: fixed;
    left: 0;
    top: 0;
    width: 10px;
    height: 10px;
    background: var(--primary);
    border-radius: 50%;
    pointer-events: none;
    z-index: 99999;
    transform: translate(-50%, -50%);
    transition:
        width .18s cubic-bezier(.2, .9, .2, 1),
        height .18s cubic-bezier(.2, .9, .2, 1),
        background-color .18s,
        opacity .15s;
    will-change: transform, width, height, background-color, opacity;
    opacity: 1;
}

/* text container inside cursor */
.custom-cursor .cursor-label {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    font-size: 12px;
    font-weight: 600;
    line-height: 1;
    white-space: nowrap;
    opacity: 0;
    transition: opacity .15s;
    pointer-events: none;
    mix-blend-mode: difference;
    /* label hamesha visible */
}

/* when hovering .heading (aapka existing effect) */
.custom-cursor.active {
    width: 60px;
    height: 60px;
    background: #fff;
    mix-blend-mode: difference;
    -webkit-backdrop-filter: saturate(120%);
    backdrop-filter: saturate(120%);
}

/* DRAG state: bada circle + label visible */
.custom-cursor.drag {
    width: 68px;
    height: 68px;
    background: #fff;
    mix-blend-mode: difference;
}

.custom-cursor.drag .cursor-label {
    opacity: 1;
}

/* optional: target element isolation helper if you use it */
.hover-reveal {
    position: relative;
    isolation: isolate;
}

/* Hide custom cursor on touch devices (ID fix) */
@media (hover:none),
(pointer:coarse) {
    #customCursor {
        display: none;
    }

    body {
        cursor: auto;
    }
}

.squre-effect:hover::after {
    width: 152%;
    left: -39%;
    top: -68%;
    opacity: 0;
}


.rotating-btn {
    position: relative;
    width: 150px;
    height: 150px;
}


.rotating-btn {
    position: relative;
    width: 160px;
    height: 160px;
}


@keyframes rotate {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}


/* Rotating animation */
@keyframes rotateCircle {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}


/* Center Dark Circle */
.center-icon {
    position: absolute;
    width: 70px;
    height: 70px;
    background: #08222e;
    color: white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    font-size: 26px;
}

/* Rotation Animation */
@keyframes rotateText {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}


.top-head {
    padding: 5px 14px;
    font-weight: 500;
    display: flex;
    justify-content: center;
    align-items: center;
    background: white;
    color: var(--primary);
    font-weight: 600;
    position: relative;
    font-size: 18px;
    width: fit-content;
    margin: auto;
    text-transform: uppercase;
}

.top-head::after {
    content: "";
    position: absolute;
    left: 0px;
    top: 50%;
    height: 60%;
    width: 4px;
    background-color: var(--primary);
    transform: translateY(-50%);

}

.top-head i {
    color: var(--primary);
    /* height: 5px; */
    /* width: 3px; */
    margin-right: 5px;
    font-size: 8px;
}

.heading {
    font-weight: 600;
    font-size: 50px;
    text-transform: capitalize;
    margin-bottom: 20px;
    line-height: normal;
    font-weight: bold;

}

.heading span {
    color: var(--primary);
}

/* .heading span {
    color: var(--primary);
} */

/* btn-main start */
.btn-main {
    position: relative;
    display: inline-block;
    padding: 15px 23px;
    font-size: 16px;
    color: #fff;
    background: var(--primary);
    overflow: hidden;
    text-decoration: none;
    font-weight: 600;
    z-index: 1;
    text-transform: uppercase;
}

/* Sliding Layer */
.btn-main::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: black;
    transition: 0.4s ease;
    z-index: -1;
    color: white !important;
}

/* On Hover Slide Left → Right */
.btn-main:hover::before {
    left: 0;
}

.btn-main:hover {
    color: white !important;
}

/* btn-main start */

/* btn-sec start */
.btn-sec {
    position: relative;
    display: inline-block;
    padding:15px 23px;
    font-size: 16px;
    color: #fff;
    background: var(--green);
    overflow: hidden;
    text-decoration: none;
    font-weight: 600;
    z-index: 1;
    text-transform: uppercase;
}

/* Sliding Layer */
.btn-sec::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: black;
    transition: 0.4s ease;
    z-index: -1;
    color: white !important;
}

/* On Hover Slide Left → Right */
.btn-sec:hover::before {
    left: 0;
}

.btn-sec:hover {
    color: white !important;
}

/* btn-sec start */

/* thir-btn start */
.thir-btn {
    color: black;
    text-decoration: none;
    transition: 0.5s;
}

.thir-btn:hover {
    color: var(--primary);
    text-decoration: none;
}

/* thir-btn end */


/* top header start */


.top-header{

    background:#fff;
    padding:10px 0;
    border-bottom:1px solid #ececec;

}

.top-header .logo{
    max-height:100px;
}

.header-top-right{

    display:flex;
    align-items:center;
    justify-content:flex-end;
    gap:30px;

}

.info-box{

    display:flex;
    align-items:center;
    gap:15px;

}

.top-header .info-box .icon{

    width:50px;
    height:50px;
    border-radius:50%;
    border:1px solid #e5e5e5;

    display:flex;
    align-items:center;
    justify-content:center;

    color:#0f9d58;
    font-size:18px;

}

.top-header .info-box small{


    display:block;
    margin-bottom:3px;

}

.top-header .info-box h6{

    margin:0;
    font-weight:600;

}
.top-header .info-box a{
    font-size:18px;
    font-weight:600;
color:black !important;
    text-decoration:none;
}

.top-header .divider{

    width:1px;
    height:55px;
    background:#ddd;

}

.top-header .social-icons{

    display:flex;
    gap:12px;

}

.top-header .social-icons a{

    width:45px;
    height:45px;
    border-radius:50%;
    background:#f5f5f5;

    display:flex;
    align-items:center;
    justify-content:center;

    color:#222;
    text-decoration:none;
    transition:.4s;

}

.top-header .social-icons a:hover{

    background:#0f9d58;
    color:#fff;

}

/*=====================
NAVBAR
======================*/

.main-navbar{

    background:var(--primary);

}

.navbar-toggler:focus{
box-shadow:none !important;

}
.main-navbar .container{

    position:relative;

}

.navbar-nav{

    gap:20px;

}

.navbar-nav .nav-link{

    color:#fff !important;
    font-weight:600;
    font-size:15px;
    padding:22px 0 !important;
    text-transform: uppercase;

}

.navbar-nav .nav-link:hover{

    color:#17a84b !important;

}

.navbar-nav .dropdown-menu{

    border-radius:0;
    border:none;
    margin-top:0;

}

.mobile-close{
    display:flex;
    justify-content:flex-end;
    margin-bottom:20px;
}


/*=====================
RESPONSIVE
======================*/

@media(max-width:991px){

.navbar-nav .top-header{

    padding:15px 0;

}

.navbar-nav .logo{

    max-height:45px;

}

.navbar-nav .header-top-right{

    display:none;

}

.navbar-nav .main-navbar{

    background:#222;

}

.navbar-nav .navbar-toggler{

    color:#fff;
    border:none;
    font-size:24px;

}

.navbar-nav .navbar-toggler:focus{

    box-shadow:none;

}

.navbar-nav .navbar-collapse{

    background:#222;
    margin-top:15px;
    padding:10px 0;

}

.navbar-nav .navbar-nav{

    gap:0;

}

.navbar-nav .nav-link{

    padding:0px 0 !important;

}


}

@media(max-width:576px){




.navbar-nav .logo{

    max-height:40px;

}

}
/* navbar end */

/* home-banner-start */
#home-banner-2{
    display:none;

}


/* slider start */

.marquee-box {
    background: #161d30;
    padding: 40px 0;
    overflow: hidden;
    width: 100%;
    box-sizing: border-box;

}

.marquee {
    display: flex;
    white-space: nowrap;
    width: fit-content;
    animation: scroll 38s linear infinite;
}

.marquee span {
    font-size: 24px;
    font-weight: 600;
    color: white;
    padding-right: 70px;
}

@keyframes scroll {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

/* slider end */

/* about-sec start */
#about-sec {
    background: url(img/bg.png);
    background-position: center;
    background-size: cover;
}

.about-sec .img-wraper {
    position: relative;
    width: 100%;
    height: 680px;

}

.about-sec .img-wraper .top-img {
    position: absolute;
    left: 0;
    top: 0;

}

.about-sec .top-head {
    justify-content: unset !important;
    margin: unset;
}

.about-sec img {
    border-radius: 10px;
    border: 1px solid gray;
}

.about-sec .img-wraper .bottom-img {
    position: absolute;
    right: 0;
    bottom: 0;

}

.about-sec .about-feature .left .box p {
    margin-bottom: 8px;
}

.about-sec .about-feature .box .icon-box {
    background-color: var(--green);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    flex-shrink: 0;
    height: 22px;
    width: 22px;
    margin-right: 10px;

}

.about-sec .about-feature .box .icon-box i {
    text-align: center;
    color: white;
    margin: 3px;
    font-size: 10px;

}

.about-sec .about-feature h5 {
    font-size: 18px;
    font-weight: bold;
}

.about-sec .about-feature .right p {
    font-weight: bold;
}

.about-sec .about-feature .right h4 a {
    color: var(--primary);
    text-decoration: none;
}

.about-sec .about-feature .right .years-box {
    height: 100%;
    width: fit-content;
    background: white;
    padding: 20px 30px;
    border-radius: 10px;
}

.about-sec .about-feature .right .num {
    color: black;
    font-size: 50px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 15px;
    position: relative;

}

.about-sec .about-feature .right .num::after {
    content: "";
    height: 4px;
    width: 30%;
    background-color: var(--primary);
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
    position: absolute;
}

.about-sec .about-feature .right p {
    text-align: center;
    font-weight: normal;

}

/* about-sec end */


/* products-section start */


.product-sec .sub-head {
    margin: auto;
    width: fit-content;
}


/* #product-sec .heading {
    color: white;
} */

.product-sec .swiper {
    width: 100%;
    padding: 30px 0;
}

.product-sec .main-card {
    background: #fff;
    border: 1px solid #535050;
    border-radius: 0px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    text-align: center;
    position: relative;
    border-radius: 2px;
    height: 100%;
}

.product-sec .main-card .icon-box {
    position: absolute;
    left: 0;
    bottom: 0;
    height: 0%;
    width: 100%;
    transition: 0.5s;
    opacity: 0;
    background:linear-gradient(#003199b9, #066738);
    padding: 20px;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-direction: column;
    border-radius: 2px;
}
.product-sec .main-card h4 {
font-size:20px;
font-weight: 600;
margin-top: 10px;
}
.product-sec .main-card .icon-box h4 {
    color: white;
    font-size: 24px;
    margin-bottom: 20px;
    font-weight: 700;
}

.product-sec .main-card .icon-box p {
    color: white;
    font-size: 14px;
}

.product-sec .main-card:hover .icon-box {
    opacity: 1;
    height: 100%;
}
.product-sec .main-card:hover .text-title{
    display: none;
}

.product-sec .main-card .icon-box i {
    color: white;
    padding: 10px;
}


.product-sec .card-img {
    width: 100%;
    object-fit: cover;
    background-color: #95a3b517;
    border-radius: 2px;
}

.product-sec .main-card h5 {
    position: relative;
    color: black;
    margin-bottom: 20px;
}

.product-sec .main-card h5::after {
    content: "";
    background-color: var(--primary);
    position: absolute;
    left: 50%;
    bottom: -10px;
    height: 2px;
    width: 80px;
    text-align: center;
    margin: auto;
    transform: translateX(-50%);
}

/* products-section end */

/* why-choose us start */
.why-choose-us {
    position: relative;
    background: url('img/green-bg2.jpg') center/cover no-repeat;
    padding: 80px 0;
    color: white;
}
.why-choose-us .top-head{
    color:white;
}
.why-choose-us .top-head::after{
    background-color: white;
}

.why-choose-us .top-head {
      /* color: #ffffff; */
    margin: unset;
    justify-content: start;
    background: transparent;
}

.why-choose-us .container {
    position: relative;
    z-index: 2;
}
.why-choose-us .heading{
    color: white;
}

/* Button */
.btn-orange {
    background: #ff4d1c;
    color: #fff;
    border-radius: 6px;
}

.btn-orange:hover {
    background: #e63e10;
    color: #fff;
}
.why-choose-us .icon i{
       font-size: 28px;
    margin-bottom: 10px;
 
}

/* why-choose us end */

/* we-work start */
#we-work {
    background-color: #f7f7f7;
}

#we-work .box .content h4 {
    font-size: 24px;
    margin-bottom: 20px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 500;
}

#we-work .box {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    background: white;
    padding: 25px 15px 45px 15px;
    text-align: center;
    border-radius: 8px;
    z-index: 0;
    height: 100%;
    /* stacking context normal */
}

#we-work .box::after {
    height: 0%;
    width: 0%;
    left: 50%;
    top: 50%;
    content: "";
    position: absolute;
    background-color: black;
    transition: 0.5s;
    transform: translate(-50%, -50%);
    z-index: -1;
    /* IMPORTANT: behind content */
    border-radius: 8px;
}

#we-work .box:hover::after {
    height: 100%;
    width: 100%;

}

#we-work .box:hover .content h4 {
    color: white;
}

#we-work .box:hover .content p {
    color: white;
}


#we-work .box .num {
    position: absolute;
    left: 50%;
    bottom: -25px;
    background-color: var(--primary);
    color: white;
    height: 60px;
    width: 60px;
    display: flex;
    justify-content: center;
    flex-shrink: 0;
    border-radius: 50%;
    align-items: center;
    font-size: 22px;
    text-transform: tr;
    transform: translateX(-50%);
    z-index: 2;
    border: 5px solid #ececec;
}


/* we-work end */



/* faq-sec start */
/* Remove Bootstrap default right arrow */
.accordion-button::after {
    display: none !important;
}

.faq-sec .top-head {
   margin: unset;
}

/* FAQ Styling */
.faq-btn {
    font-size: 20px;
    font-weight: 600;
    color: #0e2a47;
    background: transparent;
    box-shadow: none !important;
    display: flex;
    justify-content: space-between;
    /* Push icon to RIGHT END */
    align-items: center;
    padding-right: 15px;
    position: relative;
}

/* Yellow box icon */
.faq-icon {
    width: 35px;
    height: 35px;
    background: var(--primary);
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 15px;
    transition: 0.3s;
    flex-shrink: 0;
}

/* Icon inside */
.faq-icon i {
    font-size: 16px;
    color: white;
    transition: 0.3s;
}

/* When open */
.faq-btn:not(.collapsed) .faq-icon {
    background: black;
}

.faq-btn:not(.collapsed) .faq-icon i {
    color: white;
    transform: rotate(180deg);
}

/* Body text */
.accordion-body {
    font-size: 16px;
    color: #444;
    padding-left: 5px;
    padding-bottom: 20px;
}

/* Borders */
.accordion-item {
    border: none !important;
    border-bottom: 1px solid #e4e4e4 !important;
    background: transparent;
}

.accordion-button {
    font-size: 18px !important;
}

.accordion-button:not(.collapsed) {
    color: black !important;
}

/* faq-sec end */



/* blog start */
#blog-sec {
    background-image: url("img/bg.svg");
}
#blog-sec .read-more {
    background: #efefef;
    color: black;
    font-weight: 600;
    text-decoration: none;
    padding: 10px 20px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-top: 16px;
    text-transform: uppercase;
}

#blog-sec .blog-card {
      background: transparent;
    border: 1px solid #dbdbdb;
    height: 100%;
}

#blog-sec .blog-sec .top-head {
    margin: unset;
    justify-content: start;
}

#blog-sec .blog-img-wrap {
    width: 100%;
    overflow: hidden;
}

.blog-img-wrap img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform .5s ease;
    display: block;

}

/* hover scale */
#blog-sec .blog-card:hover .blog-img-wrap img {
    transform: scale(1.08);


}

#blog-sec .blog-content {
    padding-top: 18px;
    padding: 10px;;
}

#blog-sec .blog-title {
    font-size: 24px;
    font-weight: 700;
    line-height: 1.4;
    margin-bottom: 5px;
}

#blog-sec .blog-link {
    font-size: 16px;
    font-weight: 500;
    color: var(--accent);
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    gap: 6px;
}

#blog-sec .blog-link span.arrow {
    font-size: 22px;
    transform: translateY(1px);
    transition: transform .25s ease;
}

#blog-sec .blog-link:hover span.arrow {
    transform: translate(3px, 1px);
}

#blog-sec .blog-link:hover {
    text-decoration: underline;
}



/* blog end */

/* testimonials start */
#testimonials {
    /* background-image: url('img/sec-bg.png'); */
    background-size: cover;
    background-position: center;
}

#testimonials .sub-head {
    color: black;
}



.eyebrow {
    display: inline-flex;
    gap: 10px;
    align-items: center;
    background: rgba(255, 227, 100, 0.06);
    border-radius: 20px;
    padding: 8px 14px;
    color: var(--accent);
    font-weight: 600;
    font-size: 14px;
    margin-bottom: 18px;
    border: 1px solid rgba(255, 227, 100, 0.08);
}

.eyebrow .dot {
    width: 8px;
    height: 8px;
    background: var(--accent);
    border-radius: 50%;
    box-shadow: 0 0 0 4px rgba(255, 227, 100, 0.06);
}

.headline {
    font-size: 54px;
    line-height: 1.02;
    font-weight: 700;
    margin-bottom: 28px;
    color: var(--white);
}

.subtext {
    color: var(--muted);
    max-width: 520px;
    margin-top: 22px;
    font-size: 15px;
    line-height: 1.6;
}

.cta-btn {
    display: inline-flex;
    align-items: center;
    gap: 12px;
    background: var(--accent);
    color: #08222e;
    padding: 14px 20px;
    border-radius: 10px;
    font-weight: 700;
    font-size: 15px;
    border: 3px solid rgba(0, 0, 0, 0.06);
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.18);
    text-decoration: none;
    margin-top: 18px;
}

.cta-btn .icon {
    width: 36px;
    height: 36px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, 0.08);
    border-radius: 8px;
    color: #08222e;
    font-size: 14px;
}

#testimonials .testimonial-card {
    background-color: #f8f8f8;
}

/* avatars row */
.avatars {
    display: flex;
    gap: -10px;
    align-items: center;
    margin-top: 36px;
}

.avatars img {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border: 3px solid var(--bg);
    box-shadow: 0 6px 14px rgba(0, 0, 0, 0.4);
    object-fit: cover;
    margin-left: -10px;
}

.avatars .count {
    background: var(--primary);
    color: white;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-weight: 800;
    margin-left: 6px;
    font-size: 14px;
    border: 3px solid var(--bg);
}

.avatars-caption {
    margin-top: 18px;
    color: white;
    font-weight: 700;
    font-size: 18px;
}

.avatars-sub {
    color: white;
    font-size: 14px;
    margin-top: 6px;
}

/* SWIPER / CARDS */


.testimonial-card {
    background: white;
    padding: 30px;
    border-radius: 12px;
    min-height: 360px;
    position: relative;
    color: var(--white);
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.rating {
    display: flex;
    gap: 8px;
    align-items: center;
    margin-bottom: 18px;
    font-weight: 700;
    color: var(--accent);
}

.rating .stars {
    display: flex;
    gap: 6px;
    align-items: center;
}

.rating .score {
    color: var(--white);
    font-weight: 400;
    margin-left: 6px;
    color: black;
    font-size: 14px;
}

.quote-badge {
    width: 44px;
    height: 44px;
    border-radius: 50%;
    background: var(--green);
    color: white;
    ;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    right: 22px;
    top: 22px;
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.25);
}

.quote-text {
    color: black;
    font-size: 18px;
    line-height: 1.7;
    margin-top: 28px;
    margin-bottom: 28px;
    /* font-weight: 500; */
}

.divider {
    height: 1px;
    background: rgb(144 144 144);
    margin: 12px 0 22px 0;
}

.author {
    font-weight: 500;
    font-size: 22px;
    color: black;
    margin-bottom: 4px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

.role {
    color: black;
    font-size: 16px;

}

.swiper-pagination-bullets .swiper-pagination-bullet-active {
    background-color: var(--primary) !important;
    border: var(--primary);
}


/* pagination bullets style like yellow hollow */
.swiper-pagination-bullets .swiper-pagination-bullet {
    width: 14px;
    height: 14px;
    background: transparent;
    border: 2px solid var(--primary);
    opacity: 1;
    box-shadow: none;
}

.swiper-pagination-bullets .swiper-pagination-bullet-active {
    background: var(--accent);
    box-shadow: 0 0 0 6px rgba(255, 227, 100, 0.08);
}

/* Responsive tweaks */
@media (min-width: 992px) {
    .headline {
        font-size: 64px;
    }

}

@media (max-width: 767.98px) {
    .headline {
        font-size: 32px;
    }

    .testimonial-card {
        min-height: 320px;
        padding: 22px;
    }

    .testimonials {
        padding: 40px 0;
    }

    .text-column {
        padding-left: 20px;
        padding-right: 20px;
    }
}

/* testimonials end */

/* footer start */

#footer {
    background:var(--primary);
    background-position: center;
    background-size: cover;
    background: url('img/footer-bg.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.footerJah {
    background-position: center;
    background-size: cover;
    color: #ffffff;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
}

.footerJah a {
    color: white;
    text-decoration: none;
    font-size: 14px;
    transition: 0.5s;
}

.footerJah a:hover {
    color: white;
    background-color: var(--green);
}
.company-details p{
     color: #B4B4B9;
}
/* Top row */
.footer-topJah {
    border-bottom: 1px solid rgba(148, 163, 184, 0.2);
    padding-bottom: 30px;
    margin-bottom: 30px;
}

.footerJah li a {
       color: #B4B4B9;
    font-size: 16px;
    font-weight: 500;
}

.footerJah li:hover a {
    color: var(--green);
    background-color: transparent;
}


.footer-logoJah {
    display: flex;
    align-items: center;
    gap: 10px;
}

.footer-logoJah img {
    width: 50%;
}

.footer-logoIconJah {
    width: 42px;
    height: 42px;
    border-radius: 12px;
    border: 1px solid #4b5563;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
}

.footer-logoTextJah {
    font-size: 22px;
    font-weight: 600;
}


.footer-socialsTitleJah {
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 10px;
    margin-right: 10px;

}

.footer-socialsJah {
    display: flex;
    gap: 12px;
}

.footer-socialsJah a {
    width: 38px;
    height: 38px;
    border-radius: 999px;
    background-color: black;
    /* border: 1px solid var(--primary-dark); */
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
}

/* Column headings */
.footer-headingJah {
    text-transform: uppercase;
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 18px;
    color: #f3f5ff;
}

.footer-linksJah {
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-linksJah li {
    margin-bottom: 12px;
    font-size: 14px;
}

/* Contact */
.footer-contactItemJah {
    display: flex;
    gap: 12px;
    margin-bottom: 14px;
    font-size: 16px;
}

.footer-contactIconJah {
    width: 32px;
    height: 32px;
    border-radius: 999px;
    border: 1px solid #4b5563;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    flex-shrink: 0;
}

.footerJah .footer-contactItemJah a {
    color: #B4B4B9 !important;
    font-size: 16px;
    transition: 0.5s;
}
.footerJah .footer-contactItemJah {
        color: #B4B4B9 !important;

}


.footerJah .footer-contactItemJah a:hover {
    color: var(--primary) !important;
    background-color: transparent;
}

/* Newsletter */
.footer-newsTextJah {
    font-size: 16px;
    margin-bottom: 20px;
    color: #d1d5db;
}

.footer-inputWrapJah {
    position: relative;
}

.footer-inputJah {
    width: 100%;
    /* border-radius: 999px; */
    border: 1px solid #4b5563;
    background: white;
    padding: 10px 42px 10px 16px;
    font-size: 14px;
    color: black;
}

.footer-inputJah i {
    color: black !important;
}

.footer-inputJah::placeholder {
    color: black !important;
    font-size: 16px;
}


.footer-inputArrowJah {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 16px;
    color: #9ca3af;
}

.footer-inputArrowJah i {
    color: black;
}

/* Bottom */
.footer-bottomJah {
    border-top: 1px solid rgba(148, 163, 184, 0.15);
    margin-top: 30px;
    padding-top: 15px;
    text-align: center;
    font-size: 14px;
    color: white;
    padding-bottom: 10px;
}

.footer-bottomJah a {
    color: white;
}

.footer-bottomJah a:hover {
    color: var(--green);
    background-color: transparent;
}

@media (max-width: 767.98px) {
    .footer-socialsTitleJah {
        text-align: left;
    }

    .footer-socialsJah {
        justify-content: flex-start;
    }

    .footer-bottomJah {
        margin-top: 20px;
    }
}


#footer-contact{
    position:relative;
    z-index:5;
    padding: 50px 0;
}
#footer-contact::after{
    position: absolute;
    top:50%;
    left:0;
    height: 50%;
    width: 100%;
    content:"";
    background: #232323;
    z-index: -1;
}

#footer-contact .contact-strip{
    background:#0b8d46;
    border-radius:18px;
    overflow:hidden;
    position:relative;
}

/* Pattern Background */



#footer-contact .contact-box{
    position:relative;
    z-index:2;
    text-align:center;
    padding:30px 20px;
}

#footer-contact .icon-box{
    width:60px;
    height:60px;
    background:#fff;
    border-radius:50%;
    margin:auto auto 20px;
    display:flex;
    justify-content:center;
    align-items:center;
}

#footer-contact .icon-box i{
    color:#0b8d46;
    font-size:26px;
}

#footer-contact .contact-box h6{
    color:#fff;
    font-size:14px;
    font-weight:700;
    letter-spacing:.8px;
    margin-bottom:20px;
    text-transform:uppercase;
}

#footer-contact .contact-box a,
#footer-contact .contact-box span{
    color:#fff;
    text-decoration:none;
    font-size:20px;
    font-weight:700;
    transition:.3s;
}

#footer-contact .contact-box .border-start,
#footer-contact .contact-box .border-end{
    border-color:rgba(255,255,255,.15)!important;
}

/* Responsive */

@media(max-width:991px){

#footer-contact .contact-box{
    padding:35px 20px;
}

#footer-contact .contact-box a,
#footer-contact .contact-box span{
    font-size:22px;
}

}

@media(max-width:767px){

#footer-contact{
    margin-bottom:0;
}

.contact-strip{
    border-radius:15px;
}

#footer-contact .contact-box{
    border-bottom:1px solid rgba(255,255,255,.15);
}

#footer-contact  .contact-box:last-child{
    border-bottom:none;
  border-bottom: 1px solid #b9b9b9;
}

#footer-contact .contact-box.border-start,
#footer-contact .contact-box.border-end{
    border:none!important;
     border-bottom: 1px solid rgba(255,255,255,.15);
}
#footer-contact .contact-box{
    border-bottom: 1px solid rgba(255,255,255,.15);

}
#footer-contact .contact-box a,
#footer-contact .contact-box span{
    font-size:18px;
}

}
/* footer end */

#industries {
    background-color: #ffffff;
}


#industries .industries-sec p {
    max-width: 750px;
    margin: 0 auto 40px auto;
    color: #555;
}

#industries .industry-box {
    background: #ffffff;
    border-radius: 10px;
    padding: 25px 20px 30px;
    text-align: center;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.05);
    transition: all 0.35s ease;
    height: 100%;
    position: relative;
    overflow: hidden;
}

#industries .industry-box .icon {
    height: 60px;
    width: 60px;
    border-radius: 50%;
    margin: 0 auto 18px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #f0f0f0;
    font-size: 26px;
    color: var(--primary);
    transition: all 0.35s ease;
}

#industries .industry-box h4 {
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 10px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

#industries .industry-box p {
    font-size: 16px;
    color: #666;
    margin-bottom: 0;
}

/* Hover effect */
#industries .industry-box::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(135deg, #000000, #333333);
    opacity: 0;
    transition: opacity 0.35s ease;
    z-index: 0;
}

#industries .industry-box:hover::before {
    opacity: 1;
}

#industries .industry-box:hover {
    transform: translateY(-6px);
}

#industries .industry-box>* {
    position: relative;
    z-index: 1;
}

#industries .industry-box:hover h4,
#industries .industry-box:hover p {
    color: #ffffff;
}

#industries .industry-box:hover .icon {
    background-color: #ffffff;
    color: #000000;
}

/* Responsive tweaks */
@media (max-width: 767.98px) {
    #industries .heading {
        font-size: 26px;
    }

    #industries .industries-sec p {
        margin-bottom: 30px;
        padding: 0 10px;
    }
}


/* breadcrumb start */
#breadcrumb {
  background-image: url('img/breadcrumb.png');
  background-position: center;
  background-size: cover;
  padding: 150px 0 150px 0;
}



.breadcrumb-item.active {
  font-weight: 600;
  color: black !important;
  font-size: 20px;
  text-decoration: none;
}   

.breadcrumb-item+.breadcrumb-item::before {
  color: black!important;
}

.breadcrumb-item a {
  font-weight: 600;
  color: var(--primary) !important;
  font-size: 20px;
  text-decoration: none;
  transition: 0.5s;
  
}
.breadcrumb-item a:hover{
  color: var(--primary-dark);
}
#breadcrumb h2 {
  font-weight: 600;
  color: black !important;
  font-size: 60px;
  font-family: popins;
}

/* breadcrumb end */

/* about-page start */
#about-sec.about-page {
    background-color: transparent !important
}

/* about-page end */

/* contact-page start */
#contact-page .card-sec .card-box{
    padding: 20px;
    border:1px solid #4b4b4b1a;
    height: 100%;


}
#contact-page .card-sec .icon{
    background: #0f9d5824;
    width: 70px;
    height: 70px;
    min-width: 70px;
    margin: 0px 0px 40px 0px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--green);
    font-size: 30px;
}
#contact-page .card-sec .card-box:hover .icon{
        background: var(--green);
        color:white;
        transition: 0.5s;

}

#contact-page .card-sec .card-box p{
     font-size: 18px;
    font-weight: 400;
    /* line-height: 28px; */
    color: #000000;
    margin-bottom: 10px;
}

#contact-page .card-sec .card-box h4 a{
    font-size: 18px;
    font-weight: 600;
    color: #000000;
}

#contact-page .form-sec .left {
  background-color: var(--tolightwhite);
}

#contact-page .form-sec .form h4 {
  font-size: 28px;
  font-weight: 500;
}

#contact-page .form-sec .form input {
  padding: 14px 12px;
  border-radius: 3px;
  border: 1px solid rgba(128, 128, 128, 0.274);
  width: 100%;
}

#contact-page .form-sec .form input:focus-visible {
  outline: 1px solid var(--primary-color);
}

#contact-page .form-sec .form textarea {
  padding: 12px;
  border-radius: 4px;
  width: 100%;
  border: none;
  border-radius: 3px;
  border: 1px solid rgba(128, 128, 128, 0.274);
}

#contact-page .form-sec .form textarea:focus-visible {
  outline: 1px solid var(--primary-color);
}

#contact-page .form-sec form {
  padding: 40px;
  background-color: #f8f8f8;

}
#contact-page .form-control {
    padding: 0.7rem;

}
#contact-page .form-control:focus{
   border-color: black;
   box-shadow: none !important;
}

/* contact-page end */


/* blog-details start */
.blog-details-page {
    background: #f8f9fa;
}

.blog-details-page .recent-blog-item {
    border-bottom: 1px solid #eee;
    padding-bottom: 10px;
}

.blog-details-page .recent-blog-item:last-child {
    border-bottom: none;
}

.blog-details-page .recent-img {
    width: 80px;
    height: 65px;
    object-fit: cover;
    border-radius: 8px;
    margin-right: 12px;
    border: 1px solid #ddd;
}

.blog-details-page .recent-blogs {
    padding: 20px 10px;
}

.blog-details-page .recent-content a {
    display: block;
    font-weight: 600;
    color: #222;
    font-size: 16px;
    text-decoration: none;
    line-height: 1.4;
}

.blog-details-page .recent-content a:hover {
    color: #dc3545;
}

.blog-details-page .recent-content span {
    font-size: 12px;
    color: #777;
}


.blog-details-page .blog-img {
    /* max-height: 380px; */
    object-fit: cover;
}

.blog-details-page .blog-title {
    font-weight: 700;
    margin-bottom: 10px;
    font-size: 45px;
    font-family: "Plus Jakarta Sans", sans-serif;
}

.blog-details-page .blog-title {
    font-family: "Plus Jakarta Sans", sans-serif;
}

.blog-details-page .blog-meta {
    font-size: 14px;
    color: #888;
}

.blog-details-page .blog-quote {
    background: #fff3cd;
    border-left: 5px solid #ffc107;
    padding: 15px;
    margin: 20px 0;
    border-radius: 6px;
    font-style: italic;
}

/* blog-details end */

/* error-page start */
#error-page .img-box img {
    width: 50%;
}

#error-page {
    padding: 100px 0
}

#error-page h1 {
    font-family: "Plus Jakarta Sans", sans-serif;
    font-weight: bold;
    font-size: 50px;
}

#error-page p {
    font-size: 18px;
    padding: 0 100px;

}


/* error-page end */

/* product-page start */

#product-page .card-title {
    font-size: 24px;
    margin-bottom: .5rem;
    font-family: popins;
    font-weight: 600;
}

#product-page .card {
    position: relative;
}

#product-page .card .btn-main {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    transition: 0.5s;
}

#product-page .card:hover .btn-main {
    opacity: 1;
}

#product-page .card {
    border: 1px solid black;
    height: 100%;
    margin-top: 20px;
}

#product-page .card-body {
    background-color: var(--primary);
    padding: 1rem 1rem 0 5px;

}

#product-page .card-body .card-title {
    color: white;
    margin-bottom: 0;
}

/* product-page end */


/* category start */
#category .img-box {
    height: 150px;
    width: 150px;
    margin: auto;
    border: 2px dotted var(--green);
    padding: 18px;
    border-radius: 50%;
    margin-bottom: 20px;

}

.category-box {
    border: 1px solid #e0e0e0;
    padding: 20px;
    text-align: center;
    border-radius: 10px;
    transition: transform 0.3s ease;
    height: 100%;
}

#category .category-box:hover {
    border: 2px dotted var(--green);
    transition: 0.5s;

}

.category-box h3 {
    color: black;
    margin-top: 15px;
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 18px;
}

.category-box p {
    font-size: 1rem;
    margin: 10px 0 20px;

}

#category .category-box:hover .img-box {
    transition: 0.5s;
    background-color: var(--green);
}

/* category end */

/* about-sec-2 start */
#about-sec-2 .stats-section {
    background: url('img/bg.jpg') center/cover no-repeat;
    padding: 70px 0;
    position: relative;
    color: #fff;
    overflow: hidden;
}

/* subtle wave pattern */
#about-sec-2 .stats-section::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle at 20% 30%, rgba(255, 255, 255, 0.05), transparent 40%),
        radial-gradient(circle at 80% 70%, rgba(255, 255, 255, 0.05), transparent 40%);
    top: 0;
    left: 0;
}

#about-sec-2 .stat-box {
    position: relative;
    z-index: 2;
    padding: 20px;
    border-right: 1px solid rgba(255, 255, 255, 0.336);
}

#about-sec-2 .stat-box:last-child {
    border-right: none;
}

#about-sec-2 .icon {
    font-size: 45px;
    color: var(--secondary);
    margin-bottom: 10px;
    text-align: start;

}

#about-sec-2 .count {
    font-size: 45px;
    font-weight: 700;
    margin-bottom: 10px;
    text-align: start;

}

#about-sec-2 .stat-box p {
    color: #cbd5e1;
    font-size: 16px;
    text-align: start;
}

/* responsive */
@media (max-width: 768px) {}

/* about-sec-3 start */

/*==============================
 Floating Contact Buttons
==============================*/

.floating-contact{
    position:fixed;
    right:25px;
    bottom:30px;
    z-index:9999;

    display:flex;
    flex-direction:column;
    gap:18px;
}

/* Button */

.float-btn{
    width:68px;
    height:68px;

    border-radius:50%;

    display:flex;
    justify-content:center;
    align-items:center;

    text-decoration:none;
    position:relative;

    color:#fff;
    font-size:30px;

    transition:.35s;

    box-shadow:0 15px 35px rgba(0,0,0,.25);

    animation:pulse 2s infinite;
}

/* WhatsApp */

.whatsapp{

    background:linear-gradient(135deg,#25D366,#13aa52);

}

/* Call */

.call{

    background-color: var(--primary);

}

/* Hover */

.float-btn:hover{

    transform:translateY(-8px) scale(1.08);

    color:#fff;

}

/* Icon Rotate */

.float-btn:hover i{

    transform:rotate(12deg);

}

.float-btn i{

    transition:.3s;

}

/* Tooltip */

.tooltip-text{

    position:absolute;

    right:85px;

    white-space:nowrap;

    background:#0b8d46;

    color:#fff;

    padding:10px 16px;

    border-radius:8px;

    font-size:14px;

    font-weight:600;

    opacity:0;

    visibility:hidden;

    transition:.3s;
}

.tooltip-text::after{

    content:"";

    position:absolute;

    top:50%;

    right:-7px;

    transform:translateY(-50%);

    border-left:8px solid #0b8d46;
    border-top:7px solid transparent;
    border-bottom:7px solid transparent;

}

.float-btn:hover .tooltip-text{

    opacity:1;
    visibility:visible;

}

/* Pulse Animation */

@keyframes pulse{

0%{

box-shadow:
0 0 0 0 rgba(37,211,102,.55),
0 10px 30px rgba(0,0,0,.25);

}

70%{

box-shadow:
0 0 0 18px rgba(37,211,102,0),
0 10px 30px rgba(0,0,0,.25);

}

100%{

box-shadow:
0 0 0 0 rgba(37,211,102,0),
0 10px 30px rgba(0,0,0,.25);

}

}

/* Mobile */

@media(max-width:768px){

.floating-contact{

right:18px;
bottom:20px;
gap:15px;

}

.float-btn{

width:58px;
height:58px;

font-size:25px;

}

.tooltip-text{

display:none;

}

}



/* fixed-left icon */
.left-sidebar {
    width: 200px;
    position: fixed;
    display: flex;
    flex-direction: column;
    bottom: 5%;
    left: -160px;
    border-radius: 10px;
    z-index: 10;
}

.left-sidebar a {
    padding: .5rem;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    text-decoration: none;
    color: #fff !important;
    margin-top: 0.2rem;
    transition: all 0.5s ease;
    /* border-top-right-radius: 15px;
    border-bottom-right-radius: 15px; */

}


.left-sidebar a:hover {
    transform: translateX(100px);
    transition: 0.5s;

}

.left-sidebar a i {
    width: 24px;
    height: 24px;
    margin-left: 1rem;
    left: 30px;
    font-size: 22px;
    color: white;
}


.left-sidebar a.call {
    background-color: #1877F2;
}


.left-sidebar a.whatsapp {
    background-color: #25D366;

}

.left-sidebar a.mail {
    background-color: var(--secondary);
}


/* fixed-social icon */

.social {
    width: 200px;
    position: fixed;
    display: flex;
    flex-direction: column;
    bottom: 5%;
    right: -160px;
    border-radius: 10px;
    z-index: 10;
    box-sizing: border-box;
    transform: translateY(-50%);
}


.social a {
    padding: .5rem;
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #fff !important;
    margin-top: 0.2rem;
    transition: all 0.5 ease;
}

.social a:hover {
    transform: translateX(-100px);
    transition: 0.5s;
}

.social a svg {
    width: 24px;
    height: 24px;
    margin-right: 1rem;
    color: white;
}

.social a.facebook {
    background-color: #1877F2;
}


.social a.gbusiness {
    background-color: #DD4B39;
}

.social a.youtube {
    background-color: #CD201F;
}

.social a.instagram {
    background-color: #E4405F;
}

.social a.twitter {
    background-color: #1DA1F2;
}

.social a.linkedin {
    background-color: #0A66C2;
}
/* fixed icon end */

/* vision-mission start */

.vision-mission .vision:hover{
    
box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);
transition: 0.5s;
}

.vision-mission .mission:hover{
    
box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);
transition: 0.5s;
}
/* vision-mission end */

/* manufacturing-sec start */
.manufacturing-sec .img-box img{
    border-radius: 50%;
}
#category.manufacturing-sec .img-box  {
    padding: unset !important;
}

/* manufacturing-sec end */

/* blog-page start */

#blog-page .blog-title{
    font-size: 22px;
    font-weight: 600;
}

#blog-page .popular-articles{
    padding: 10px 0;
}

#blog-page .sidebar-title{
    font-size: 42px;
    color: #1f2b38;
    margin-bottom: 35px;
    font-family: "Cormorant Garamond", serif;
    font-weight: 500;
}
#blog-page .blog-card{
    height: auto;
}
#blog-page .article-item{
    display: flex;
    gap: 15px;
    margin-bottom: 20px;
    align-items: flex-start;
}

#blog-page .article-img img{
    width: 115px;
    height: 82px;
    object-fit: cover;
}

#blog-page .article-content{
    flex: 1;
}

#blog-page .article-title{
    display: block;
    font-size: 18px;
    line-height: 1.35;
    text-decoration: none;
    margin-bottom: 8px;
    transition: 0.3s;
        color: black;

}

#blog-page .article-title.dark{
 color: #233065;
    font-weight: 600;
}

#blog-page .article-title:hover{
    color: var(--accent-yellow);
}

#blog-page .article-date{
    display: block;
    font-size: 15px;
    color: #7d8793;
    font-weight: 500;
}
#blog-page .blog-content h4{
    font-weight: 600;
    color: black;
}

#blog-page .blog-content blockquote{
    background-color: #dddddd;
    font-size: 18px;
    padding: 15px;
}

/* blog-page end */





/* product-details start */

.product-details{

background:#fff;

}

.product-details .main-image {
    border: 1px solid #e8e8e8;
    border-radius: 8px;
    padding: 20px;
    background: #fff;
    overflow: hidden;
    cursor: zoom-in;
}

.product-details .main-image img {
    width: 100%;
    height: 420px;
    object-fit: contain;
    transition: transform 0.2s ease;
    transform-origin: center center;
    will-change: transform;
}

.product-details .thumbnail-images{

display:flex;
gap:12px;
flex-wrap:wrap;

}

.product-details .thumb {
    width: 90px;
    height: 90px;
    border: 1px solid #ddd;
    padding: 8px;
    cursor: pointer;
    border-radius: 6px;
    object-fit: contain;
    transition: .3s;
}

.product-details .thumb:hover,
.product-details .thumb.active {
    border: 2px solid var(--primary);
}

.product-details .product-category{

display:inline-block;
padding:6px 14px;
background:#fff4eb;
color:#ff6b00;
font-weight:600;
border-radius:30px;
font-size:14px;

}

.product-details .product-short-desc{

margin-top:20px;
line-height:30px;

}

.product-details .feature-list{

padding-left:18px;
margin-top:15px;

}

.product-details .feature-list li{

margin-bottom:12px;

}

.product-details .spec-table thead{

background:var(--primary);
color:#fff;

}
.product-details .top-head{
    margin: unset;
}
.product-details .spec-table td{

padding:15px;

}

.product-details .spec-table tbody tr:nth-child(even){

background:#fafafa;

}

@media(max-width:991px){


.product-details .main-image img{

height:350px;

}

}

@media(max-width:576px){

.product-details .main-image img{

height:280px;

}

.product-details .thumb{

width:70px;
height:70px;

}

.product-details .product-short-desc{

line-height:28px;

}


}